Next: IERRNO, Previous: IDATE, Up: Intrinsic Procedures

### 8.122 `IEOR` — Bitwise logical exclusive or

Description:
  `IEOR` returns the bitwise Boolean exclusive-OR of I and J.
Standard:
  Fortran 95 and later
Class:
  Elemental function
Syntax:
  `RESULT = IEOR(I, J)`
Arguments:

  I | The type shall be `INTEGER`.
  J | The type shall be `INTEGER`, of the same kind as I. (As a GNU extension, different kinds are also permitted.)

Return value:
  The return type is `INTEGER`, of the same kind as the arguments. (If the argument kinds differ, it is of the same kind as the larger argument.)
See also:
  IOR, IAND, IBITS, IBSET, IBCLR, NOT